<?php

namespace App\JsonRpc;

class WebsiteServiceInterface_159524aa485875b0c402c7e3193d925b extends \Hyperf\RpcClient\Proxy\AbstractProxyService implements WebsiteServiceInterface
{
    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsitetList(string $keyword, int $page, int $pageSize)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     * @return array
     */
    public function createWebsite(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsite(int $id, array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @return array
     */
    public function delWebsite(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 查询网站信息
     * @param int $id
     * @return array
     */
    public function getWebsiteInfo(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteColumn(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsiteColumnList(string $keyword, int $page, int $pageSize)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     * @return array
     */
    public function createWebsiteColumn(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsiteColumn(int $id, array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @return array
     */
    public function delWebsiteColumn(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
}